### Struct

# FwupdPlugin UsbHidDescriptorHdr

#### Description

    struct FuUsbHidDescriptorHdr {
      guint8 buf[];
      guint refcount;
    }

No description available.

###### Structure members

`buf`

  No description available.

`refcount`

  No description available.

#### Functions

###### fu_usb_hid_descriptor_hdr_parse_stream

No description available.

#### Instance methods

###### fu_usb_hid_descriptor_hdr_get_class_descriptor_length

No description available.

###### fu_usb_hid_descriptor_hdr_get_class_descriptor_type

No description available.

###### fu_usb_hid_descriptor_hdr_get_country_code

No description available.

###### fu_usb_hid_descriptor_hdr_get_hid

No description available.

###### fu_usb_hid_descriptor_hdr_get_length

No description available.

###### fu_usb_hid_descriptor_hdr_get_num_descriptors

No description available.

###### fu_usb_hid_descriptor_hdr_ref

No description available.

###### fu_usb_hid_descriptor_hdr_unref

No description available.